# Figures and Scripts for GW230529 Discovery

In this folder you will find:
- the figures published in the paper
- `PaperPlots.ipynb`, the figure plotting notebook
- `requirements.txt`, a list of packages required to run the notebook
- `scripts/*`, several scripts that are used by the plotting notebook
- `fig_publication.mplstyle`, the style file used to create the figures

To run the notebook to generate all the figures you will need download all of files in this data release.

## Downloading additional data

All the data behind the figures, except for figure 1 is provided in this data release.
For fig 1, you will need to download the following files:
- `GW170817_GWTC-1.hdf5` from the [GWTC-1 data release](https://dcc.ligo.org/LIGO-P1800370/public), click [here](https://dcc.ligo.org/public/0157/P1800370/005/GW170817_GWTC-1.hdf5) to download.
- `GW190425.h5` from the [GWTC-2 data release](https://dcc.ligo.org/LIGO-P2000223/public) found in `GW190425.tar`, click [here](https://dcc.ligo.org/public/0169/P2000223/007/GW190425.tar) to download.
- `IGWN-GWTC2p1-v2-GW190814_211039_PEDataRelease_mixed_cosmo.h5` from the [GWTC-2.1 data release](https://zenodo.org/records/6513631), click [here](https://zenodo.org/records/6513631/files/IGWN-GWTC2p1-v2-GW190814_211039_PEDataRelease_mixed_cosmo.h5?download=1) to download.
- `IGWN-GWTC3p0-v1-GW200105_162426_PEDataRelease_mixed_cosmo.h5` from the [GWTC-3 data release](https://zenodo.org/records/5546663), click [here](https://zenodo.org/records/5546663/files/IGWN-GWTC3p0-v1-GW200105_162426_PEDataRelease_mixed_cosmo.h5?download=1) to download.
- `IGWN-GWTC3p0-v1-GW200115_042309_PEDataRelease_mixed_cosmo.h5` from the [GWTC-3 data release](https://zenodo.org/records/5546663), click [here](https://zenodo.org/records/5546663/files/IGWN-GWTC3p0-v1-GW200115_042309_PEDataRelease_mixed_cosmo.h5?download=1) to download.

## Running the notebook

Make sure you have all the packages listed in `requirements.txt`. If not, install with:
```
pip install -r requirements.txt
```

In the notebook you will need to define paths to:
- where you have downloaded your data to `data_dir`
- where you want to save your figures to `fig_dir`

Your `data_dir` should have the following files and folders:
- data_dir
  - `posterior_samples.h5`
  - `GW170817_GWTC-1.hdf5`
  - `GW190425.h5`
  - `IGWN-GWTC2p1-v2-GW190814_211039_PEDataRelease_mixed_cosmo.h5`
  - `IGWN-GWTC3p0-v1-GW200105_162426_PEDataRelease_mixed_cosmo.h5`
  - `IGWN-GWTC3p0-v1-GW200115_042309_PEDataRelease_mixed_cosmo.h5`
  - `/populations/*`
  - `/searches/*`
  - `/rates/*`
  - `/tidal/*`

Once you have all the data in the right place, run the notebook in its original location (or at least have `fig_publication.mplstyle` and `/scripts` in the same dir as the notebook) and you should be able to run it from start to end.

Note: fig 1 and fig 14 take longer to plot, with fig 14 taking 15-25mins to run.
